
```no_run
use bpaf::*;

pub fn options() -> OptionParser<bool> {
    let simple = short('s').long("simple").switch();
    simple.to_options()
}

fn main() {
    println!("{:?}", options().run())
}
```


Output

If you run the app with no parameters - switch will parse as `false`

$ app 
false

Both short and long names produce true

$ app -s
true

$ app --simple
true

In addition to the switch you defined `bpaf` generates switch for user help

$ app --help

Usage: app [-s]

Available options:

-s, --simple

-h, --help

Prints help information

